HomesUserDatabase (Apache Tomcat 8.5.85 API Documentation)

Package org.apache.catalina.startup

## Class HomesUserDatabase

- java.lang.Object
- - org.apache.catalina.startup.HomesUserDatabase

- All Implemented Interfaces:
    `UserDatabase`

      public final class HomesUserDatabase
      extends java.lang.Object
      implements UserDatabase

  Concrete implementation of the `UserDatabase` interface considers all directories in a directory whose pathname is specified to our constructor to be "home" directories for those users.
  Author:
    Craig R. McClanahan

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HomesUserDatabase()` | Initialize a new instance of this user database component.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getHome​(java.lang.String user)` | Return an absolute pathname to the home directory for the specified user.
    `UserConfig` | `getUserConfig()` | Return the UserConfig listener with which we are associated.
    `java.util.Enumeration<java.lang.String>` | `getUsers()` | Return an enumeration of the user names defined on this server.
    `void` | `setUserConfig​(UserConfig userConfig)` | Set the UserConfig listener with which we are associated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HomesUserDatabase

          public HomesUserDatabase()

      Initialize a new instance of this user database component.

  - ### Method Detail

    - #### getUserConfig

          public UserConfig getUserConfig()

      Return the UserConfig listener with which we are associated.
      Specified by:
        `getUserConfig` in interface `UserDatabase`
      Returns:
        the UserConfig listener with which we are associated.

    - #### setUserConfig

          public void setUserConfig​(UserConfig userConfig)

      Set the UserConfig listener with which we are associated.
      Specified by:
        `setUserConfig` in interface `UserDatabase`
      Parameters:
        `userConfig` - The new UserConfig listener

    - #### getHome

          public java.lang.String getHome​(java.lang.String user)

      Return an absolute pathname to the home directory for the specified user.
      Specified by:
        `getHome` in interface `UserDatabase`
      Parameters:
        `user` - User for which a home directory should be retrieved
      Returns:
        an absolute pathname to the home directory for the specified user.

    - #### getUsers

          public java.util.Enumeration<java.lang.String> getUsers()

      Return an enumeration of the user names defined on this server.
      Specified by:
        `getUsers` in interface `UserDatabase`
      Returns:
        an enumeration of the usernames defined on this server.